Unable to load class [...] for component importation purposes

Hello, I’m trying to install a Jira plugin on Jira 8.13.10, the plugin is pretty old and is not working.

After many tries, I’m in at point where I’m receiving the following errors:

Unable to load class 'com.atlassian.jira.plugins.importer.BackCompatibilityUtil' for component importation purposes.  Skipping...
Unable to load class 'com.atlassian.jira.plugins.importer.compatibility.CompatibilityBridgeUtils' for component importation purposes.  Skipping...
Unable to load class 'com.atlassian.jira.plugins.importer.imports.importer.impl.ExternalUtils' for component importation purposes.  Skipping...
Unable to load class 'com.atlassian.jira.plugins.importer.imports.importer.impl.OfBizHistoryImporter' for component importation purposes.  Skipping...
Unable to load class 'com.atlassian.jira.plugins.importer.imports.importer.impl.customfields.CustomFieldsUtil' for component importation purposes.  Skipping...
...
Plugins that have yet to be enabled: (1): [plugin-name], 297 seconds remaining
...
UpmAsynchronousTaskManager:thread-4 ERROR admin 1155x5551x1 1e3c4y3 0:0:0:0:0:0:0:1 /rest/plugins/1.0/ [c.a.plugin.manager.PluginEnabler] Unable to start the following plugins due to timeout while waiting for plugin to enable: [plugin-name]

I’m using jira-importers-plugin 9.2.8 as a dependency in pom.xml

        <dependency>
            <groupId>com.atlassian.jira.plugins</groupId>
            <artifactId>jira-importers-plugin</artifactId>
            <version>9.2.8</version>
            <scope>provided</scope>
        </dependency>

Does anyone know what could cause this or how can I solve it?